#include <stdio.h>
#include <math.h>
#define DEBUG 0
#include <plot_xps.h>

main()
{
	int i,j,k, debug = 0, erreur;
	char	c;
	float angle;
#if DEBUG
	debug = 1;
#endif

	erreur = ps_iniplot(0,"cubes.ps",10,10,20.,20.,1.,"cubes");
	ps_no_watch_progress();
	if (debug) printf("apres ps_iniplot %d\n", erreur);

	ps_use_window("cubes");
	ps_no_watch_page();
	if (debug) printf("apres ps_no_watch_page\n");
	
	ps_set_rgb_color(1.,.5,0.);
	
	if (debug) printf("apres ps_set_rgb\n");
	ps_cms() ;
	if (debug) printf("apres ps_cms\n");
	ps_origin(7.,7.,0.,0.) ;
	if (debug) printf("apres ps_origin\n");
	for (angle = 0. ; angle < 3.14; angle += .05)
	{
		
	ps_3Dsetup(10.,10.,10.,0.,10.,0.,10.,0.,10.,3.14/4.,angle,15.,10.) ;
	if (debug) printf("apres ps_i3Dsetup\n");

   /* dessin des cubes */
	for (k = 0 ; k < 3 ;k++)
	for (j = 0 ; j < 3 ;j++)
	{
		
		for ( i=0;i < 3;i++)
		{
			ps_3Dbar(2.*(float)(i)+1.,2.*(float)(j)+1.,2.*(float)(k)+1.,1.,1.,1.,1) ;
			if (debug) printf("apres ps_3Dbar\n");
			
		} /* fin du for */
	} /* fin du for */
	ps_flush();
	ps_newpage();
	}
	c = askcval("Taper return pour sortir: ",'R');
	ps_endplot('s');
	if (debug) printf("apres ps_endplot\n");
	
} /* fin du main */
